#
# spec file for package pidgin-indicator
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pidgin-indicator
Version:        0.9
Release:        3.2
Summary:        StatusNotifierItem tray icon plugin for Pidgin
License:        GPL-2.0+
Group:          Productivity/Networking/Instant Messenger
Url:            https://github.com/philipl/pidgin-indicator
Source:         https://github.com/philipl/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkgconfig(appindicator-0.1)
BuildRequires:  pkgconfig(pidgin)
Recommends:     %{name}-lang = %{version}

%description
This plugin provides a StatusNotifierItem tray icon, for use in
KDE Plasma 5, Unity, Elementary and other environments.

It provides all the same functionality as the original tray icon
but not in exactly the same way:
 * The 'smart' click behaviour that either shows the buddy list or
   unread messages is now activated by a middle-click – because
   left click on an libappindicator always opens the menu.
 * As the SNI-icon is a separate process from pidgin itself, there
   are sometimes conflicts with Focus Stealing Prevention when you
   use the indicator to go to unread messages. You may need to
   disable FSP for Pidgin to get around this.
 * Due to how libappindicator work, the middle-click action must
   also be a menu item, so it's the new Show/Hide item at the top
   of the menu.
 * Due to libappindicator limitations, some of the special icons
   can't be shown next to menu items any more.

%lang_package

%prep
%setup -q

%build
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_libdir}/pidgin/
%{_datadir}/icons/hicolor/*/status/%{name}-nothing.png

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Fri Mar 13 2015 sor.alexei@meowr.ru
- Update to 0.9 (changes since 0.7):
  * Implement proper blinking notification for status icon.
  * Add Hungarian and Simplied Chinese translations.
* Sun Aug  3 2014 sor.alexei@meowr.ru
- Initial package (boo#902984).
